% This script runs the function lin_intersect. Try playing around with 
% different input values, and running lin_intersect directly from the 
% command line. You're highly encouraged to insert breakpoints (mentioned 
% below) into the function lin_intersect to see how things progress line by
% line. 

m1 = 2; %the slope of our first line
m2 = 4; %the slope of our second line
b1 = 2; %the y intercept of our first line
b2 = 8; %the y intercept of our second line
plot_flag = 1; % Plotting the results? 1 if yes, 0 if no. 
intersection = lin_intersect(m1,b1,m2,b2,plot_flag);
% note, because we have commented lin_intersect well, we can type 
% "help lin_intersect and see how to run it


%% Debugging
%If for any reason we ran into issues while running lin_intersect, we could
%use a "breakpoint". We can open lin_intersect in matlab, select the line
%before the code breaks, and select breakpoint->Set. This will place a red
%dot on the line where the breakpoint is featured and stop the code
%mid-execution at that location so we can investigate the issue. We can
%remove the breakpoint and re-run the function later if we think we have it
%right. 

%We can also put breakpoints anywhere in our code, run it, and then use the
%"step" button to go execute the code line by line as we check the outputs
%we are getting. 

%% Printing our plot
% We've created another function that prints the output graph to a
% directory we specify. In this case it is the working directory. 

pathname = [pwd,'/'];
print2desktop(pathname,'lin_intersect_output_graph');
